Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007763opensim[REGION] OpenSim Corepublic2015-11-25 18:192016-04-01 10:03
Reportermewtwo0641 
Assigned Tomewtwo0641 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0007763: OpenSim crashes on shutdown (Windows)
DescriptionRunning OpenSim (master) on Windows, whenever I attempt to shutdown OpenSim, once it reaches the "[SHUTDOWN]: Shutdown processing on main thread complete." point, it freezes for a few seconds, turns white, and eventually I get an error from Windows saying "OpenSim has stopped working" then it gives me the options to check for a solution online or close the program.
Steps To ReproduceTesting on Windows 7 x64 with .NET 4.0:

1. Run latest master

2. Wait for it to load completely and then use the 'quit' command

    a. Once it reaches the "[SHUTDOWN]: Shutdown processing on main thread complete." point, it freezes for a few seconds, turns white, and eventually I get an error from Windows saying "OpenSim has stopped working"
Additional InformationI've repeated the steps to reproduce under several different circumstances: One region only, multiple regions, regions with scripted objects, regions with no scripts and no objects (i.e. completely blank region), regions with agents/NPCs connected, and regions with no agents or NPCs connected, and trying with different physics engines (Primarily ubODE and BulletSim).

Not sure if this is related to the issue at hand but I receive this exception just before it crashes:

2015-11-25 20:02:17,446 ERROR (1) - OpenSim.OpenSimBase [SHUTDOWN]: Ignoring failure during shutdown -
System.MissingMethodException: Method not found: 'Boolean OpenSim.Framework.Servers.HttpServer.BaseHttpServer.RemoveAgentHandler(System.String, OpenSim.Framework.Servers.HttpServer.IHttpAgentHandler)'.
   at OpenSim.ApplicationPlugins.Rest.RestPlugin.RemoveAgentHandler(String agentName, IHttpAgentHandler handler)
   at OpenSim.ApplicationPlugins.Rest.Inventory.RestHandler.Close() in c:\Users\Admin\Desktop\ostest\opensim\OpenSim\ApplicationPlugins\Rest\Inventory\RestHandler.cs:line 347
   at OpenSim.ApplicationPlugins.Rest.RestPlugin.Dispose() in c:\Users\Admin\Desktop\ostest\opensim\OpenSim\ApplicationPlugins\Rest\RestPlugin.cs:line 370
   at OpenSim.OpenSimBase.ShutdownSpecific() in c:\Users\Admin\Desktop\ostest\opensim\OpenSim\Region\Application\OpenSimBase.cs:line 894
TagsNo tags attached.
Git Revision or version number
Run Mode Standalone (Multiple Regions)
Physics EngineODE
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Fileszip file icon OpenSim.zip [^] (8,055 bytes) 2015-11-25 21:21

- Relationships

-  Notes
(0029671)
UbitUmarov (administrator)
2015-11-25 19:41

we no longer have ..\OpenSim\ApplicationPlugins\Rest\...
please download master on a clean folder and retry
(0029672)
mewtwo0641 (reporter)
2015-11-25 20:24

Hi, tested with a new clean pull in a clean folder, compiled, started over from scratch with the configuration files. The exception is now gone so I am guessing that there were some references to Rest in the old configuration files I was using. However, OpenSim still crashes on shutdown in the manner described in this mantis (minus the exception).
(0029673)
UbitUmarov (administrator)
2015-11-25 20:29

04:27:26 - [SHUTDOWN]: Shutdown processing on main thread complete. Exiting...

C:\.....\testsim\bin>

working ok on my win7 x64 standalone test
(0029674)
UbitUmarov (administrator)
2015-11-25 20:39

on opensim.ini, you have PIDFile = uncommented?
(0029675)
mewtwo0641 (reporter)
2015-11-25 21:04
edited on: 2015-11-25 21:05

I tried with PIDFile = commented and uncommented and also modified its path to point to a valid location as the default seems to be a Linux path. But still a crash on shutdown either way.

(0029676)
UbitUmarov (administrator)
2015-11-25 21:08

well keep that line commented as: ;PIDFile = "OpenSim.exe.pid"
(0029677)
mewtwo0641 (reporter)
2015-11-25 21:12

Ok, made the changes to the PIDFile line and commented it out but it still crashes on shutdown.
(0029678)
UbitUmarov (administrator)
2015-11-25 21:15

ok. delete file bin/OpenSim.log, run opensim till it crashs, zip new created OpenSim.log, and attach it here, so I can look to it
(0029679)
mewtwo0641 (reporter)
2015-11-25 21:21
edited on: 2015-11-25 21:23

Alright, have attached my logfile.

The crash happens right after the last line:

"2015-11-25 23:20:04,989 INFO (1) - OpenSim.Framework.Servers.BaseOpenSimServer [SHUTDOWN]: Shutdown processing on main thread complete. Exiting..."

But there's nothing after that in the log file or console.

(0029742)
mewtwo0641 (reporter)
2015-11-27 19:09
edited on: 2015-11-27 19:10

Gave latest master a quick test it seems that the crash is gone now :) But reading the related mantis http://opensimulator.org/mantis/view.php?id=7743 [^] I understand that it could be random now? I will keep an eye out for that for the Windows environment.

(0029756)
UbitUmarov (administrator)
2015-11-29 00:59

The reason of the crash wasn't clear, so timing dependencies, leading to apparent randomness where a possibility.
thanks for your help
(0030138)
mewtwo0641 (reporter)
2016-04-01 10:03

Haven't seen this issue for a while; seems fixed by master.

- Issue History
Date Modified Username Field Change
2015-11-25 18:19 mewtwo0641 New Issue
2015-11-25 19:41 UbitUmarov Note Added: 0029671
2015-11-25 20:24 mewtwo0641 Note Added: 0029672
2015-11-25 20:29 UbitUmarov Note Added: 0029673
2015-11-25 20:39 UbitUmarov Note Added: 0029674
2015-11-25 21:04 mewtwo0641 Note Added: 0029675
2015-11-25 21:05 mewtwo0641 Note Edited: 0029675 View Revisions
2015-11-25 21:08 UbitUmarov Note Added: 0029676
2015-11-25 21:12 mewtwo0641 Note Added: 0029677
2015-11-25 21:15 UbitUmarov Note Added: 0029678
2015-11-25 21:21 mewtwo0641 File Added: OpenSim.zip
2015-11-25 21:21 mewtwo0641 Note Added: 0029679
2015-11-25 21:23 mewtwo0641 Note Edited: 0029679 View Revisions
2015-11-27 19:09 mewtwo0641 Note Added: 0029742
2015-11-27 19:10 mewtwo0641 Note Edited: 0029742 View Revisions
2015-11-29 00:59 UbitUmarov Note Added: 0029756
2016-04-01 10:03 mewtwo0641 Note Added: 0030138
2016-04-01 10:03 mewtwo0641 Status new => resolved
2016-04-01 10:03 mewtwo0641 Fixed in Version => master (dev code)
2016-04-01 10:03 mewtwo0641 Resolution open => fixed
2016-04-01 10:03 mewtwo0641 Assigned To => mewtwo0641


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker